<?php

if ( ! function_exists( 'joinup_set_404_page_inner_classes' ) ) {
	/**
	 * Function that return classes for the page inner div from header.php
	 *
	 * @param string $classes
	 *
	 * @return string
	 */
	function joinup_set_404_page_inner_classes( $classes ) {
		
		if ( is_404() ) {
			$classes = 'qodef-content-full-width';
		}
		
		return $classes;
	}
	
	add_filter( 'joinup_filter_page_inner_classes', 'joinup_set_404_page_inner_classes' );
}

if ( ! function_exists( 'joinup_get_404_page_parameters' ) ) {
	/**
	 * Function that set 404 page area content parameters
	 */
	function joinup_get_404_page_parameters() {
		
		$params = array(
			'title'       => esc_html__( 'Woops! Looks like this page doesn’t exist', 'joinup' ),
			'text'        => wp_kses_post( 'The page you are looking for doesn\'t exist. It may have been moved or removed altogether. Please try searching for some other page, or return to the website\'s homepage to find what you\'re looking for.' ),
			'button_text' => esc_html__( 'Go to Homepage', 'joinup' ),
		);
		
		return apply_filters( 'joinup_filter_404_page_template_params', $params );
	}
}
