<?php
$link_url_meta  = get_post_meta( get_the_ID(), 'qodef_post_format_link', true );
$link_url       = ! empty( $link_url_meta ) ? $link_url_meta : get_the_permalink();
$link_text_meta = get_post_meta( get_the_ID(), 'qodef_post_format_link_text', true );
$link_background_color = get_post_meta( get_the_ID(), 'qodef_post_format_link_background_color', true );

if ( ! empty( $link_url ) ) {
	$link_text = ! empty( $link_text_meta ) ? $link_text_meta : get_the_title();
	$title_tag = isset( $title_tag ) && ! empty( $title_tag ) ? $title_tag : 'h3';
	?>
	<div class="qodef-e-link" <?php echo !empty($link_background_color) ? 'style="background-color: ' . $link_background_color . '"' : '' ?>>
        <?php if(joinup_is_installed( 'core' )) {
            joinup_render_icon( 'kikol kiko-link', 'kiko', '' );
        } else { ?>
            <svg class="qodef-link-icon" xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 32 32"><g><g data-name="Regular"><path d="M17.852,20.884a6.715,6.715,0,0,1-4.765-1.971,1.5,1.5,0,1,1,2.121-2.121,3.83,3.83,0,0,0,5.288,0l7.409-7.409A3.739,3.739,0,1,0,22.617,4.1L17.431,9.281A1.5,1.5,0,1,1,15.31,7.16L20.5,1.974a6.739,6.739,0,0,1,9.53,9.53l-7.409,7.409A6.715,6.715,0,0,1,17.852,20.884ZM11.5,30.026,16.69,24.84a1.5,1.5,0,1,0-2.121-2.121L9.383,27.905A3.739,3.739,0,0,1,4.1,22.617L11.5,15.208a3.83,3.83,0,0,1,5.288,0,1.5,1.5,0,0,0,2.121-2.121,6.747,6.747,0,0,0-9.53,0L1.974,20.5a6.739,6.739,0,0,0,9.53,9.53Z"/></g></g></svg>
        <?php }
        ?>
		<<?php echo esc_attr( $title_tag ); ?> class="qodef-e-link-text"><?php echo esc_html( $link_text ); ?></<?php echo esc_attr( $title_tag ); ?>>
        <a href="<?php echo esc_url( $link_url ); ?>" class="qodef-e-link-url-text"><?php echo esc_html( $link_url ); ?></a>
		<a itemprop="url" class="qodef-e-link-url" href="<?php echo esc_url( $link_url ); ?>" target="_blank"></a>
	</div>
<?php } ?>