<?php
$quote_meta = get_post_meta( get_the_ID(), 'qodef_post_format_quote_text', true );
$quote_text = ! empty( $quote_meta ) ? $quote_meta : get_the_title();

if ( ! empty( $quote_text ) ) {
	$quote_author     = get_post_meta( get_the_ID(), 'qodef_post_format_quote_author', true );
	$author_position  = get_post_meta( get_the_ID(), 'qodef_post_format_quote_author_position', true );
	$author_image     = get_post_meta( get_the_ID(), 'qodef_post_format_quote_author_image', true );
	$title_tag        = isset( $title_tag ) && ! empty( $title_tag ) ? $title_tag : 'h3';
	$author_title_tag = isset( $author_title_tag ) && ! empty( $author_title_tag ) ? $author_title_tag : 'span';
    $quote_background_color = get_post_meta( get_the_ID(), 'qodef_post_format_quote_background_color', true );
	?>
	<div class="qodef-e-quote" <?php echo !empty($quote_background_color) ? 'style="background-color: ' . $quote_background_color . '"' : '' ?>>
        <?php if( !joinup_is_installed( 'core' )) : ?>
            <svg class="qodef-quote-icon" xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 32 32"><g><g data-name="Light"><path d="M24,7H20a3,3,0,0,0-3,3v4a3,3,0,0,0,3,3h4.911a7.649,7.649,0,0,1-5.161,6.031A1,1,0,0,0,20,25a1.031,1.031,0,0,0,.25-.031C24.419,23.893,27,19.476,27,16V10A3,3,0,0,0,24,7Zm-5,7V10a1,1,0,0,1,1-1h4a1,1,0,0,1,1,1v5H20A1,1,0,0,1,19,14ZM12,7H8a3,3,0,0,0-3,3v4a3,3,0,0,0,3,3h4.911A7.649,7.649,0,0,1,7.75,23.031,1,1,0,0,0,8,25a1.031,1.031,0,0,0,.25-.031C12.419,23.893,15,19.476,15,16V10A3,3,0,0,0,12,7ZM7,14V10A1,1,0,0,1,8,9h4a1,1,0,0,1,1,1v5H8A1,1,0,0,1,7,14Z"/></g></g></svg>
        <?php endif; ?>
		<<?php echo esc_attr( $title_tag ); ?> class="qodef-e-quote-text"><?php echo esc_html( $quote_text ); ?></<?php echo esc_attr( $title_tag ); ?>>
        <div class="qodef-quote-author-holder">
            <?php if ( ! empty( $author_image ) ) { ?>
                <?php echo wp_get_attachment_image($author_image, 'thumbnail'); ?>
            <?php } ?>
            <div class="qodef-quote-author-info">
                <?php if ( ! empty( $quote_author ) ) { ?>
                    <<?php echo esc_attr( $author_title_tag ); ?> class="qodef-e-quote-author"><?php echo esc_html( $quote_author ); ?></<?php echo esc_attr( $author_title_tag ); ?>>
                <?php } ?>
                <?php if ( ! empty( $author_position ) ) { ?>
                    <span class="qodef-e-quote-author-position"><?php echo esc_html( $author_position ); ?></span>
                <?php } ?>
            </div>
        </div>
		<?php if ( ! is_single() ) { ?>
			<a itemprop="url" class="qodef-e-quote-url" href="<?php the_permalink(); ?>"></a>
		<?php } ?>
	</div>
<?php } ?>