<?php
/**
 * List View Single Event
 * This file contains one event in the list view
 *
 * Override this template in your own theme by creating a file at [your-theme]/tribe-events/list/single-event.php
 *
 * @package TribeEventsCalendar
 *
 */
if(!defined('ABSPATH')) {
    die('-1');
}

// Setup an array of venue details for use later in the template
$venue_details = tribe_get_venue_details();

// Venue
$has_venue_address = (!empty($venue_details['address'])) ? ' location' : '';

// Organizer
$organizer = tribe_get_organizer();
?>

<div class="qodef-events-day-holder">

    <div class="qodef-events-day-image-holder">
        <div class="qodef-events-day-image-holder-inner">
            <a href="<?php echo esc_url(tribe_get_event_link()); ?>">
                <?php the_post_thumbnail('large'); ?>
            </a>
        </div>
    </div>

    <div class="qodef-events-day-content-holder">
        <div class="qodef-events-day-content">
            <div class="qodef-events-day-title-holder">
                <span class="qodef-events-day-price">
                    <?php echo esc_html(tribe_get_cost(null, true)); ?>
                </span>

                <?php do_action('tribe_events_before_the_event_title') ?>

                <h4 class="qodef-events-day-title">
                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                </h4>

                <?php do_action('tribe_events_after_the_event_title') ?>
            </div>

            <?php do_action('tribe_events_before_the_meta') ?>

            <div class="qodef-events-day-meta">
                <div class="qodef-events-single-meta-item">
                    <span class="qodef-events-single-meta-label"><?php esc_html_e('Date:', 'joinup'); ?></span>
                        <span class="qodef-events-single-meta-value">
                            <?php echo tribe_events_event_schedule_details(); ?>
                        </span>
                </div>

                <div class="qodef-events-single-meta-item">
                    <span class="qodef-events-single-meta-label"><?php esc_html_e('Time:', 'joinup'); ?></span>
                    <span class="qodef-events-single-meta-value">
                        <?php echo tribe_get_start_time(); ?> - <?php echo tribe_get_end_time(); ?>
                    </span>
                </div>

                <?php if(tribe_has_venue()) : ?>
                    <div class="qodef-events-single-meta-item">
                        <span class="qodef-events-single-meta-label"><?php esc_html_e('Venue:', 'joinup'); ?></span>
                        <span class="qodef-events-single-meta-value">
                            <?php echo esc_html(tribe_get_venue()); ?>
                        </span>
                    </div>

                    <?php if(tribe_address_exists()) : ?>
                        <div class="qodef-events-single-meta-item">
                            <span class="qodef-events-single-meta-label"><?php esc_html_e('Address:', 'joinup'); ?></span>
                            <span class="qodef-events-single-meta-value">
                                <?php echo tribe_get_address(); ?>
                            </span>
                        </div>
                    <?php endif; ?>
                <?php endif; ?>
            </div>

            <?php do_action('tribe_events_after_the_meta') ?>
        </div>
    </div>
</div>