<?php
/**
 * List View Single Event
 * This file contains one event in the list view
 *
 * Override this template in your own theme by creating a file at [your-theme]/tribe-events/list/single-event.php
 *
 * @package TribeEventsCalendar
 *
 */
if(!defined('ABSPATH')) {
    die('-1');
}

// Setup an array of venue details for use later in the template
$venue_details = tribe_get_venue_details();

// Venue
$has_venue_address = (!empty($venue_details['address'])) ? ' location' : '';

// Organizer
$organizer = tribe_get_organizer();

?>

<div class="qodef-events-list-item-holder">

    <div class="qodef-events-list-item-date-holder">
        <span class="qodef-events-list-item-date-month">
            <?php echo tribe_get_start_date(null, true, 'M'); ?>
        </span>

        <span class="qodef-events-list-item-date-day">
            <?php echo tribe_get_start_date(null, true, 'd'); ?>
        </span>
    </div>

    <div class="qodef-events-list-item-content">
        <div class="qodef-events-list-item-title-holder">

            <?php do_action('tribe_events_before_the_event_title') ?>

            <h5 class="qodef-events-list-item-title">
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
            </h5>

            <?php if(tribe_has_organizer()) : ?>
                <div class="qodef-events-list-organizer">
                    <span><?php esc_html_e('by ', 'joinup'); ?><?php echo tribe_get_organizer(); ?></span>
                </div>
            <?php endif; ?>

            <span class="qodef-events-list-date">
                <?php echo tribe_events_event_schedule_details(); ?>
            </span>

            <?php if(tribe_has_venue()) : ?>
                <span class="qodef-events-list-venue">
                    <?php echo esc_html(tribe_get_venue()); ?>
                </span>
            <?php endif; ?>

            <?php do_action('tribe_events_after_the_event_title') ?>
        </div>
    </div>

</div>